Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class WebflowException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.ejb.EJBException
                      com.beasys.commerce.foundation.exception.SystemException
                          com.beasys.commerce.foundation.exception.WebflowException

All Implemented Interfaces
  MessageCatalogException, Serializable

Deprecated

    @Deprecated
    public class WebflowException

extends SystemException

A `WebflowException` exception signals a fatal error in the pipeline sub-system.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also
  `MessageCatalog`, Serialized Form

Field Summary
`static String` | `MESSAGE_NAMESPACE` Deprecated The name of the resource bundle that will be used to fetch the exception messages.

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`WebflowException(String messageKey)` Deprecated Class constructor taking the key of the associated catalog message.
`WebflowException(String messageKey, Exception exception)` Deprecated Class constructor taking the key of the associated catalog message and an embedded exception.
`WebflowException(String messageKey, Object argument)` Deprecated Class constructor taking the key of the associated catalog message and a message parameter substitution argument.
`WebflowException(String messageKey, Object[] arguments)` Deprecated Class constructor taking the key of the associated catalog message and message parameter substitution arguments.
`WebflowException(String messageKey, Object[] arguments, Exception exception)` Deprecated Class constructor taking the key of the associated catalog message, message parameter substitution arguments, and an embedded exception.
`WebflowException(String namespace, String messageKey)` Deprecated Class constructor taking the namespace and key of the associated catalog message.
`WebflowException(String namespace, String messageKey, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message and an embedded exception.
`WebflowException(String namespace, String messageKey, Object argument)` Deprecated Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.
`WebflowException(String namespace, String messageKey, Object[] arguments)` Deprecated Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.
`WebflowException(String namespace, String messageKey, Object[] arguments, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.
`WebflowException(String namespace, String messageKey, Object argument, Exception exception)` Deprecated Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

Method Summary
`Exception` | `getEmbeddedException()` Deprecated Gets the embedded exception associated with this exception.
`void` | `setEmbeddedException(Exception exception)` Deprecated Associates a given exception with this exception.

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class javax.ejb.EJBException
`getCausedByException, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MESSAGE_NAMESPACE

    public static final String MESSAGE_NAMESPACE

  Deprecated
  The name of the resource bundle that will be used to fetch the exception messages.

  See Also
    Constants Summary

Constructor Detail

### WebflowException

    public WebflowException(String messageKey)

  Deprecated
  Class constructor taking the key of the associated catalog message.

  Parameters
    `messageKey` - The associated catalog message key.

### WebflowException

    public WebflowException(String messageKey,
                            Exception exception)

  Deprecated
  Class constructor taking the key of the associated catalog message and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### WebflowException

    public WebflowException(String messageKey,
                            Object argument)

  Deprecated
  Class constructor taking the key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### WebflowException

    public WebflowException(String namespace,
                            String messageKey)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.

### WebflowException

    public WebflowException(String namespace,
                            String messageKey,
                            Object argument)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### WebflowException

    public WebflowException(String messageKey,
                            Object[] arguments)

  Deprecated
  Class constructor taking the key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### WebflowException

    public WebflowException(String namespace,
                            String messageKey,
                            Object[] arguments)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### WebflowException

    public WebflowException(String namespace,
                            String messageKey,
                            Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### WebflowException

    public WebflowException(String namespace,
                            String messageKey,
                            Object argument,
                            Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### WebflowException

    public WebflowException(String messageKey,
                            Object[] arguments,
                            Exception exception)

  Deprecated
  Class constructor taking the key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

### WebflowException

    public WebflowException(String namespace,
                            String messageKey,
                            Object[] arguments,
                            Exception exception)

  Deprecated
  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

Method Detail

### getEmbeddedException

    public Exception getEmbeddedException()

  Deprecated
  Description copied from interface: `MessageCatalogException`
  Gets the embedded exception associated with this exception.

  Specified by:
    `getEmbeddedException` in interface `MessageCatalogException`
  Overrides:
    `getEmbeddedException` in class `SystemException`
  Returns
    The embedded exception.

### setEmbeddedException

    public void setEmbeddedException(Exception exception)

  Deprecated
  Associates a given exception with this exception.

  Parameters
    `exception` - The new embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.